/*******************************************************************************
//  版权所有  (C) 2000-2015
//  文 件 名：TransactionWrapper.cs
//  文件说明：事务包装类，只支持单数据库库事务；
//  版    本：
//
//  创建标识：陈志豪 2012-11-14 14:17
//
//  修改标识：
//  修改说明：
*******************************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace VA.Modules.JDingMember.Interface.MemberConsume.ClassLibrary.Business
{
    /// <summary>
    /// 事务包装类，只支持单数据库库事务；
    /// </summary>
    class TransactionWrapper : IDisposable
    {
        VA.Utils.TransactionWrapper wrapper;

        public TransactionWrapper()
        {
            wrapper = new VA.Utils.TransactionWrapper(Config.DBConfig.ConnectionString, System.Data.IsolationLevel.ReadCommitted);
        }

        public TransactionWrapper(System.Data.IsolationLevel isolationLevel)
        {
            wrapper = new VA.Utils.TransactionWrapper(Config.DBConfig.ConnectionString, isolationLevel);
        }

        public SqlConnection Connection
        {
            get { return wrapper.Connection; }
        }

        public SqlTransaction Transaction
        {
            get { return wrapper.Transaction; }
        }

        public void BeginTrans()
        {
            wrapper.BeginTrans();
        }

        public void Complete()
        {
            wrapper.Complete();
        }

        public void Rollback()
        {
            wrapper.Rollback();
        }

        public void Dispose()
        {
            wrapper.Dispose();
        }
    }
}

